summaryrefslogtreecommitdiff
path: root/tools
diff options
context:
space:
mode:
Diffstat (limited to 'tools')
-rwxr-xr-xtools/prepare-commit-msg6
-rwxr-xr-xtools/travis-before_install.sh16
-rwxr-xr-xtools/travis-install.sh22
-rwxr-xr-xtools/update_copyright_year.sh36
4 files changed, 77 insertions, 3 deletions
diff --git a/tools/prepare-commit-msg b/tools/prepare-commit-msg
index ab351760..d2f927c0 100755
--- a/tools/prepare-commit-msg
+++ b/tools/prepare-commit-msg
@@ -5,17 +5,17 @@
# Add [ci skip] to the commit message unless there are changes to files
# that are relevant for testing such as src/*, test/*, ledger3.texi, ...
-function add_ci_skip()
+add_ci_skip ()
{
pattern="$1"; shift
source="$1"
# Don't add [ci skip] if it's already in the commit message source
- grep '\[ci skip\]' "$source" 2>&1 >/dev/null
+ grep '\[ci skip\]' "$source" >/dev/null 2>&1
[ $? -eq 0 ] && return
if [ $(git diff --cached --name-only | grep --count "$pattern") -eq 0 ]; then
- tempfile=$(mktemp $0.XXXXXX)
+ tempfile=$(mktemp "${0}.XXXXXX")
cat - "$1" <<EOF > "$tempfile"
# It seems the changes to be committed are irrelevant for the continuous
diff --git a/tools/travis-before_install.sh b/tools/travis-before_install.sh
new file mode 100755
index 00000000..fe010945
--- /dev/null
+++ b/tools/travis-before_install.sh
@@ -0,0 +1,16 @@
+#!/usr/bin/env bash
+
+#set -x
+set -e
+set -o pipefail
+
+if [ "${TRAVIS_OS_NAME}" = "osx" ]; then
+ brew update
+fi
+
+if [ -n "${BOOST_VERSION}" ]; then
+ mkdir -p $BOOST_ROOT
+ wget --no-verbose --output-document=- \
+ http://sourceforge.net/projects/boost/files/boost/${BOOST_VERSION}/boost_${BOOST_VERSION//./_}.tar.bz2/download \
+ | tar jxf - --strip-components=1 -C "${BOOST_ROOT}"
+fi
diff --git a/tools/travis-install.sh b/tools/travis-install.sh
new file mode 100755
index 00000000..4e8bdc48
--- /dev/null
+++ b/tools/travis-install.sh
@@ -0,0 +1,22 @@
+#!/usr/bin/env bash
+
+#set -x
+set -e
+set -o pipefail
+
+if [ "${TRAVIS_OS_NAME}" = "osx" ]; then
+ for formula in $(echo "${BREWS//,/ }"); do
+ echo "Checking ${formula} formula"
+ brew outdated "${formula}" \
+ || (brew unlink "${formula}"
+ brew install "${formula}"
+ )
+ done
+fi
+
+if [ -d "${BOOST_ROOT}" ]; then
+ (cd "${BOOST_ROOT}"
+ ./bootstrap.sh --with-libraries="${BOOST_LIBS}"
+ ./b2 threading=multi --prefix="${BOOST_ROOT}" -d0 install
+ )
+fi
diff --git a/tools/update_copyright_year.sh b/tools/update_copyright_year.sh
new file mode 100755
index 00000000..ea0a5d35
--- /dev/null
+++ b/tools/update_copyright_year.sh
@@ -0,0 +1,36 @@
+#!/bin/sh
+
+# update_copyright_year - Update the year of the Copyright statement in files
+#
+# This script will replace the last year of Copyright statements with the first
+# argument of this script (defaulting to the current year).
+
+# Copyright (c) 2016 Alexis Hildebrandt
+#
+# Permission is hereby granted, free of charge, to any person obtaining a copy
+# of this software and associated documentation files (the "Software"), to deal
+# in the Software without restriction, including without limitation the rights
+# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+# copies of the Software, and to permit persons to whom the Software is
+# furnished to do so, subject to the following conditions:
+#
+# The above copyright notice and this permission notice shall be included in
+# all copies or substantial portions of the Software.
+#
+# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
+# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
+# SOFTWARE.
+
+YEAR=${1:-$(date +%Y)}
+# egrep is rather slow, but the much faster ag (the-silver-searcher)
+# is not generally installed
+GREP=${2:-egrep}
+
+${GREP} -Rl 'Copyright.*Wiegley' . \
+ | ${GREP} -v "(test/garbage-input.dat|$(basename $0))" \
+ | xargs sed -i '' -e "s/\(Copyright.*\)-20[0-9]\{2\}/\1-${YEAR}/"
+